// Copyright (c) 2024 Codemongous LLC. All Rights Reserved.

#pragma once

#include "ISCW_UAIGraph.h"
#include "SCW_UEdGraph.h"

class UAIGraph;

namespace Sourcify
{
	class SCW_UAIGraph : public SCW_UEdGraph, public virtual ISCW_UAIGraph
	{
	public:
		SCW_UAIGraph(UAIGraph* InAIGraph);

		UAIGraph* ToUAIGraph() const;

		ISCW_UAIGraphPtr ToUAIGraphPtr() override;
		ISCW_UAIGraphConstPtr ToUAIGraphPtr() const override;

	protected:
		UAIGraph* AIGraph;
	};
} // namespace Sourcify